Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.TS.RKType

class petsc4py.PETSc.TS.RKType

  Bases: `object`

  The RK subtype.

  Attributes Summary

  `RK1FE` | Object `RK1FE` of type `str`
  `RK2A` | Object `RK2A` of type `str`
  `RK2B` | Object `RK2B` of type `str`
  `RK3` | Object `RK3` of type `str`
  `RK3BS` | Object `RK3BS` of type `str`
  `RK4` | Object `RK4` of type `str`
  `RK5BS` | Object `RK5BS` of type `str`
  `RK5DP` | Object `RK5DP` of type `str`
  `RK5F` | Object `RK5F` of type `str`
  `RK6VR` | Object `RK6VR` of type `str`
  `RK7VR` | Object `RK7VR` of type `str`
  `RK8VR` | Object `RK8VR` of type `str`

  Attributes Documentation

  RK1FE: str = RK1FE

    Object `RK1FE` of type `str`

  RK2A: str = RK2A

    Object `RK2A` of type `str`

  RK2B: str = RK2B

    Object `RK2B` of type `str`

  RK3: str = RK3

    Object `RK3` of type `str`

  RK3BS: str = RK3BS

    Object `RK3BS` of type `str`

  RK4: str = RK4

    Object `RK4` of type `str`

  RK5BS: str = RK5BS

    Object `RK5BS` of type `str`

  RK5DP: str = RK5DP

    Object `RK5DP` of type `str`

  RK5F: str = RK5F

    Object `RK5F` of type `str`

  RK6VR: str = RK6VR

    Object `RK6VR` of type `str`

  RK7VR: str = RK7VR

    Object `RK7VR` of type `str`

  RK8VR: str = RK8VR

    Object `RK8VR` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)